/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifndef _FHAS2_HEADER_
  #define _FHAS2_HEADER_

//#include "../config.h"
#include "wnd_size.h"
//#include "helpinfo.h"

#if 0
#define OpenHelpWindow(hwnd, app_id, msg_id) \
            pdag_open_help_box (hwnd, MAINWINDOW_W, MAINWINDOW_H, app_id, msg_id)
#else
#define OpenHelpWindow(hwnd, app_id, msg_id) printf("help: %d, %d, %d\n", hwnd, app_id, msg_id)
#endif

#define _(String) fh_gettext (String)
#define gettext_noop(String) String
#define N_(String) gettext_noop (String)

/************************ configuration file definitions ******************************/
/*
#ifdef _TARGET_I386
#define PDACFGFILE                  ("/home/fhas2/data/fhas2.cfg")
#else
#define PDACFGFILE                  ("/usr/local/etc/fhas2.cfg")
#endif
*/

/************************** iPAQ key definitions **********************************/

#ifdef _FOR_IPAQ
  #define SC_RECORD	H3600_SCANCODE_RECORD
  #define SC_CALENDAR   H3600_SCANCODE_CALENDAR
  #define SC_CONTACTS   H3600_SCANCODE_CONTACTS
  #define SC_Q          H3600_SCANCODE_Q
  #define SC_START      H3600_SCANCODE_START
  #define SC_UP         H3600_SCANCODE_UP
  #define SC_DOWN       H3600_SCANCODE_DOWN
  #define SC_LEFT       H3600_SCANCODE_LEFT
  #define SC_RIGHT      H3600_SCANCODE_RIGHT
  #define SC_ACTION     H3600_SCANCODE_ACTION
  #define SC_SUSPEND    H3600_SCANCODE_SUSPEND
#else /* PC Kb */
  #define SC_RECORD	SCANCODE_F2
  #define SC_CALENDAR   SCANCODE_F3
  #define SC_CONTACTS   SCANCODE_F4
  #define SC_Q          SCANCODE_ESCAPE
  #define SC_START      SCANCODE_F5
  #define SC_UP         SCANCODE_CURSORBLOCKUP
  #define SC_DOWN       SCANCODE_CURSORBLOCKDOWN
  #define SC_LEFT       SCANCODE_CURSORBLOCKLEFT
  #define SC_RIGHT      SCANCODE_CURSORBLOCKRIGHT
  #define SC_ACTION     SCANCODE_F6
  #define SC_SUSPEND    SCANCODE_F7
#endif

#ifndef _PC_MODE
#define MBINFO(mbar) mbar
#else
#define MBINFO(mbar) NULL
#endif

#endif /* _FHAS2_HEADER_ */
