/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


#ifndef _SCL_DLG_H_
#define _SCL_DLG_H_

#ifdef PDA_SIZE_320x240
#ifdef _LARGE_SCREEN

#define SCL_DLG_X           100 
#define SCL_DLG_Y           100
#define SCL_DLG_W           250
#define SCL_DLG_H           150

#define SCL_SW_X            20
#define SCL_SW_Y            20
#define SCL_SW_W            40
#define SCL_SW_H            25

#define SCL_SH_X            135
#define SCL_SH_Y            20
#define SCL_SH_W            40
#define SCL_SH_H            25

#define SCL_EW_X            75
#define SCL_EW_Y            20
#define SCL_EW_W            50
#define SCL_EW_H            25

#define SCL_EH_X            180
#define SCL_EH_Y            20
#define SCL_EH_W            50
#define SCL_EH_H            25

#define SCL_PW_X            20
#define SCL_PW_Y            50
#define SCL_PW_W            40
#define SCL_PW_H            25

#define SCL_FPER_X          125
#define SCL_FPER_Y          50
#define SCL_FPER_W          40
#define SCL_FPER_H          25

#define SCL_PH_X            135
#define SCL_PH_Y            50
#define SCL_PH_W            40
#define SCL_PH_H            25

#define SCL_BPER_X          230
#define SCL_BPER_Y          50
#define SCL_BPER_W          40
#define SCL_BPER_H          25

#define SCL_WDPCN_X         75
#define SCL_WDPCN_Y         50
#define SCL_WDPCN_W         50
#define SCL_WDPCN_H         25

#define SCL_HGPCN_X         180
#define SCL_HGPCN_Y         50
#define SCL_HGPCN_W         50
#define SCL_HGPCN_H         25

#define SCL_OK_X            30
#define SCL_OK_Y            80
#define SCL_OK_W            40
#define SCL_OK_H            20

#define SCL_CANCEL_X        135
#define SCL_CANCEL_Y        80
#define SCL_CANCEL_W        40
#define SCL_CANCEL_H        20

#else

#define SCL_DLG_X           65 
#define SCL_DLG_Y           35
#define SCL_DLG_W           200
#define SCL_DLG_H           150

#define SCL_SW_X            20
#define SCL_SW_Y            20
#define SCL_SW_W            30
#define SCL_SW_H            20

#define SCL_SH_X            110
#define SCL_SH_Y            20
#define SCL_SH_W            30
#define SCL_SH_H            20

#define SCL_EW_X            55
#define SCL_EW_Y            20
#define SCL_EW_W            40
#define SCL_EW_H            20

#define SCL_EH_X            145
#define SCL_EH_Y            20
#define SCL_EH_W            40
#define SCL_EH_H            20

#define SCL_PW_X            20
#define SCL_PW_Y            50
#define SCL_PW_W            30
#define SCL_PW_H            20

#define SCL_FPER_X          100
#define SCL_FPER_Y          50
#define SCL_FPER_W          10
#define SCL_FPER_H          20

#define SCL_PH_X            110
#define SCL_PH_Y            50
#define SCL_PH_W            30
#define SCL_PH_H            20

#define SCL_BPER_X          185
#define SCL_BPER_Y          50
#define SCL_BPER_W          10
#define SCL_BPER_H          20

#define SCL_WDPCN_X         55
#define SCL_WDPCN_Y         50
#define SCL_WDPCN_W         40
#define SCL_WDPCN_H         20

#define SCL_HGPCN_X         145
#define SCL_HGPCN_Y         50
#define SCL_HGPCN_W         40
#define SCL_HGPCN_H         20

#define SCL_OK_X            50
#define SCL_OK_Y            80
#define SCL_OK_W            40
#define SCL_OK_H            20

#define SCL_CANCEL_X        110
#define SCL_CANCEL_Y        80
#define SCL_CANCEL_W        40
#define SCL_CANCEL_H        20

#endif
#elif PDA_SIZE_240x320

#define SCL_DLG_X           0 
#define SCL_DLG_Y           40
#define SCL_DLG_W           240
#define SCL_DLG_H           150

#define SCL_SW_X            10
#define SCL_SW_Y            20
#define SCL_SW_W            40
#define SCL_SW_H            25

#define SCL_SH_X            125
#define SCL_SH_Y            20
#define SCL_SH_W            40
#define SCL_SH_H            25

#define SCL_EW_X            65
#define SCL_EW_Y            20
#define SCL_EW_W            50
#define SCL_EW_H            25

#define SCL_EH_X            170
#define SCL_EH_Y            20
#define SCL_EH_W            50
#define SCL_EH_H            25

#define SCL_PW_X            10
#define SCL_PW_Y            50
#define SCL_PW_W            40
#define SCL_PW_H            25

#define SCL_FPER_X          115
#define SCL_FPER_Y          50
#define SCL_FPER_W          40
#define SCL_FPER_H          25

#define SCL_PH_X            125
#define SCL_PH_Y            50
#define SCL_PH_W            40
#define SCL_PH_H            25

#define SCL_BPER_X          220
#define SCL_BPER_Y          50
#define SCL_BPER_W          40
#define SCL_BPER_H          25

#define SCL_WDPCN_X         65
#define SCL_WDPCN_Y         50
#define SCL_WDPCN_W         50
#define SCL_WDPCN_H         25

#define SCL_HGPCN_X         170
#define SCL_HGPCN_Y         50
#define SCL_HGPCN_W         50
#define SCL_HGPCN_H         25

#define SCL_OK_X            70
#define SCL_OK_Y            80
#define SCL_OK_W            40
#define SCL_OK_H            20

#define SCL_CANCEL_X        130
#define SCL_CANCEL_Y        80
#define SCL_CANCEL_W        40
#define SCL_CANCEL_H        20

#endif


typedef struct tag_scl {

    int w;
    int h;
}SCLINFO, *PSCLINFO;

int ScaleDlg ( HWND hwnd, int x, int y, int w, int h, PSCLINFO scl );

#endif
