#!/bin/ash
################################################################################################
#                                        
# GPRS_INTERNET_LIFE.SH - Initialize GPRS Connection for LIFE;) GPRS Provider
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_GPRS_INTERNET_CONNECTION_LIFE = "YES" ]; then
 	echo "Start Life;) GPRS Internet connection..."
 	mkdir -p  /etc/ppp/peers
 	cp -a /mnt/usb/ppp/peers/life_pppd_cmd /etc/ppp/peers/pppd_cmd
 	cp -a /mnt/usb/ppp/peers/life_chat_cmd /etc/ppp/peers/chat_cmd
 	/mnt/usb/sh/gprs.sh
 	echo "Start DynDNS client..."
 	mkdir -p /mnt/usb/inadyn/log
 	/mnt/usb/inadyn/bin/inadyn --background -u $BIPOMVAR_DYNDNS_USERNAME -p $BIPOMVAR_DYNDNS_PASSWORD --update_period $BIPOMVAR_DYNDNS_UPDATE_PERIOD --alias $BIPOMVAR_DYNDNS_ALIAS --log_file $BIPOMVAR_DYNDNS_LOG_FILE
fi
