#!/bin/ash
################################################################################################
#                                        
# INIT_DLINK_USB_ETH.SH - Initialize DLink USB Ethernet adapter
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
#################################################################################################
if [ $BIPOMVAR_DLINK_USB_ETHERNET = "ON" ]; then
	echo "Install D-Link USB interface"
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/mii.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/mii.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/usbnet.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/usbnet.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/ax88796.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/ax88796.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/asix.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/asix.ko
	depmod -r
	/sbin/modprobe asix	
	#
	echo "HOST IP:${HOST_IP} NETMASK:${NETMASK} GATE IP:${GATE_IP}"
	ifconfig eth0 ${BIPOMVAR_HOST_IP} netmask ${BIPOMVAR_NETMASK} up
	# Wait for link up
	sleep 3
	route add default gw ${BIPOMVAR_GATE_IP} eth0
	ifconfig lo 127.0.0.1
fi