#!/bin/ash
################################################################################################
#                                        
# INIT_DM9161A.SH - Initialize DM9161A ethernet adapter
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_DM9161A_ETHERNET = "ON" ]; then
	echo "Install DM9161A Ethernet interface"
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/mii.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/mii.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/macb.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/macb.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/davicom.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/davicom.ko
	depmod -r
	/sbin/modprobe davicom
	/sbin/modprobe macb
	echo "HOST IP:${HOST_IP} NETMASK:${NETMASK} GATE IP:${GATE_IP}"
	ifconfig eth0 ${BIPOMVAR_HOST_IP} netmask ${BIPOMVAR_NETMASK} up
	# Wait for link up
	sleep 3
	route add default gw ${BIPOMVAR_GATE_IP} eth0
	ifconfig lo 127.0.0.1
fi