################################################################################################
#                                        
# VARS.SH - GADGETPC VARIABLES
#
# WARNING: DON'T MODIFY THIS FILE DIRECTLY. 
# THIS CAN CAUSE UNSTABLE WORK OF GADGETPC SYSTEM
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
############ GADGETPC HARDWARE & PERIPHERAL CONFIGURATION ##############
export BIPOMVAR_DM9161A_ETHERNET=ON
export BIPOMVAR_DLINK_USB_ETHERNET=OFF
export BIPOMVAR_GSPCA_USB_WEBCAM=OFF
export BIPOMVAR_DLINK_USB_WIFI=OFF
export BIPOMVAR_FTDI_USB_SERIAL=OFF
export BIPOMVAR_AT91SAM_ADC=OFF
export BIPOMVAR_I2C_PCF8574=OFF
export BIPOMVAR_MICROSD=NO
export BIPOMVAR_CONFIGURE_UNUSED_PORT_PINS=NO
export BIPOMVAR_SIERRA_COMPASS885_AIRCARD=OFF
export BIPOMVAR_USB_SERIAL_GENERIC=OFF
export BIPOMVAR_USB_MOUSE=OFF
################################################################################################
############ GADGETPC SOFTWARE & SYSTEM CONFIGURATION ##############
export BIPOMVAR_ROOT_PWD=newpassword

export BIPOMVAR_HOST_IP=192.168.1.210
export BIPOMVAR_NETMASK=255.255.255.0
export BIPOMVAR_GATE_IP=192.168.1.1
export BIPOMVAR_WIFI_KEY=1237489567
export BIPOMVAR_WIFI_SSID=DLinkRouter

export BIPOMVAR_GPRS_INTERNET_CONNECTION_LIFE=NO
export BIPOMVAR_3G_INTERNET_CONNECTION_PEOPLENET=NO

export BIPOMVAR_GPRS_SEND_PIN=NO
export BIPOMVAR_GPRS_PIN_CODE=1111
export BIPOMVAR_GPRS_DEVICE_NAME=/dev/ttyUSB3
export BIPOMVAR_GPRS_DELAY_BEFORE_PIN_SEND=3
export BIPOMVAR_GPRS_DELAY_AFTER_PIN_SEND=15
export BIPOMVAR_GPRS_DELAY_AFTER_PPPD_RUN=3

export BIPOMVAR_3G_START_DELAY=45
export BIPOMVAR_3G_POST_DELAY=3
export BIPOMVAR_3G_DEVICE_NAME=/dev/ttyUSB0

export BIPOMVAR_USB_SERIAL_GENERIC_VENDOR=0x12d1
export BIPOMVAR_USB_SERIAL_GENERIC_PRODUCT=0x1001

export BIPOMVAR_DYNDNS_USERNAME=GadgetPC
export BIPOMVAR_DYNDNS_PASSWORD=gadgetpcpassword
export BIPOMVAR_DYNDNS_UPDATE_PERIOD=600000
export BIPOMVAR_DYNDNS_ALIAS=gpcgprs.dyndns.org
export BIPOMVAR_DYNDNS_LOG_FILE=/mnt/usb/inadyn/log/inadyn.log

export BIPOMVAR_TELNET_SERVER=YES

export BIPOMVAR_WEB_SERVER=YES
export BIPOMVAR_HTTP_CFG_FILE_PATH=/mnt/usb/httpd/httpd.conf
export BIPOMVAR_HTTP_PORT=80

export BIPOMVAR_FTP_SERVER=YES
export BIPOMVAR_FTP_USER=ftp
export BIPOMVAR_FTP_PWD=ftppassword
export BIPOMVAR_FTP_CFG_FILE_PATH=/mnt/usb/vsftpd/vsftpd.conf


export BIPOMVAR_OPEN_SSH_SERVER=YES
export BIPOMVAR_SSH_PORT=22
export BIPOMVAR_SSH_USER=sshd
export BIPOMVAR_SSH_PWD=sshdpassword
export BIPOMVAR_SSH_HOST_KEY_PATH=/mnt/usb/openssh/etc/ssh_host_key
export BIPOMVAR_SSH_DSA_KEY_PATH=/mnt/usb/openssh/etc/ssh_host_dsa_key
export BIPOMVAR_SSH_RSA_KEY_PATH=/mnt/usb/openssh/etc/ssh_host_rsa_key

export BIPOMVAR_OPEN_NTPD_SERVER=YES
export BIPOMVAR_NTPD_USER=_ntp
export BIPOMVAR_NTPD_PWD=_ntppassword
export BIPOMVAR_NTPD_CFG_FILE_PATH=/mnt/usb/ntpd/ntpd.conf

export BIPOMVAR_MAIL_AGENT=NO

export BIPOMVAR_USB_UTILS=YES

export BIPOMVAR_MOTION_SERVER=NO
export BIPOMVAR_MOTIONSRV_CFG_FILE_PATH=/mnt/usb/motion/etc/motion.conf

export BIPOMVAR_SPCA_VIDEO_SERVER=NO

export BIPOMVAR_Z_LIBRARY=YES
export BIPOMVAR_JPEG_LIBRARY=YES
export BIPOMVAR_PNG_LIBRARY=YES
export BIPOMVAR_FREETYPE_LIBRARY=YES
export BIPOMVAR_MINIGUI_LIBRARY=YES

################################################################################################
export BIPOMVAR_DRIVER_SOURCE_PATH=/mnt/usb/drivers
export BIPOMVAR_DRIVER_INSTALL_PATH=/lib/modules/2.6.30.4
export BIPOMVAR_PPP_GENERIC=NO
