/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifdef  PDA_SIZE_320x240
#ifdef _LARGE_SCREEN 
//About Dialog
#define _ABOUT_X            200
#define _ABOUT_Y            100
#define _ABOUT_W            300
#define _ABOUT_H            200

#define _ABOUT_STATIC_X     10
#define _ABOUT_STATIC_Y     10
#define _ABOUT_STATIC_W     (_ABOUT_W - 20)
#define _ABOUT_STATIC_H     (_ABOUT_H - 50)

#define _ABOUT_OK_X         (_ABOUT_W/2 - 20)
#define _ABOUT_OK_Y         (_ABOUT_H - 80)
#define _ABOUT_OK_W         40
#define _ABOUT_OK_H         70

#else

#define _ABOUT_X            80
#define _ABOUT_Y            30
#define _ABOUT_W            200
#define _ABOUT_H            120

#define _ABOUT_STATIC_X     10
#define _ABOUT_STATIC_Y     -20
#define _ABOUT_STATIC_W     (_ABOUT_W - 20)
#define _ABOUT_STATIC_H     (_ABOUT_H - 35)

#define _ABOUT_OK_X         (_ABOUT_W/2 - 20)
#define _ABOUT_OK_Y         (_ABOUT_H - 50)
#define _ABOUT_OK_W         40
#define _ABOUT_OK_H         35

#endif
#elif PDA_SIZE_240x320

#define _ABOUT_X            30
#define _ABOUT_Y            40
#define _ABOUT_W            200
#define _ABOUT_H            150

#define _ABOUT_DLG_X        80
#define _ABOUT_DLG_Y        30
#define _ABOUT_DLG_W        200
#define _ABOUT_DLG_H        120

#define _ABOUT_OK_X         10
#define _ABOUT_OK_Y         10
#define _ABOUT_OK_W         (_ABOUT_W - 20)
#define _ABOUT_OK_H         (_ABOUT_H - 30)

#define _ABOUT_STATIC_X     10
#define _ABOUT_STATIC_Y     10
#define _ABOUT_STATIC_W     (_ABOUT_W - 20)
#define _ABOUT_STATIC_H     (_ABOUT_H - 50)

#endif

#ifndef _ABOUT_DLG_H_
#define _ABOUT_DLG_H_

typedef struct tag_about {
    char caption[32];
    char content[128];
} ABOUTINFO , *LPABOUTINFO;

int ShowAboutDlg ( HWND hwnd, int x, int y, int w, int h, LPABOUTINFO p);

#endif
