/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

 
#ifndef _PROP_DLG_H_
#define _PROP_DLG_H_
#define PDA_SIZE_240x320 1

#ifdef PDA_SIZE_320x240
#ifdef _LARGE_SCREEN

#define _PROP_X             100
#define _PROP_Y             100
#define _PROP_W             270
#define _PROP_H             180

#define PROP_SW_X           20
#define PROP_SW_Y           20
#define PROP_SW_W           40
#define PROP_SW_H           25

#define PROP_SH_X           135
#define PROP_SH_Y           20
#define PROP_SH_W           40
#define PROP_SH_H           25

#define PROP_EW_X           75
#define PROP_EW_Y           20
#define PROP_EW_W           50
#define PROP_EW_H           25

#define PROP_EH_X           180
#define PROP_EH_Y           20
#define PROP_EH_W           50
#define PROP_EH_H           25

#define PROP_GRAY_X         30
#define PROP_GRAY_Y         70
#define PROP_GRAY_W         50
#define PROP_GRAY_H         25

#define PROP_CL_X           130
#define PROP_CL_Y           70
#define PROP_CL_W           50
#define PROP_CL_H           25

#define PROP_OK_X           30
#define PROP_OK_Y           120
#define PROP_OK_W           40
#define PROP_OK_H           20

#define PROP_CANCEL_X       135
#define PROP_CANCEL_Y       120
#define PROP_CANCEL_W       40
#define PROP_CANCEL_H       20

#else

#define _PROP_X             80
#define _PROP_Y             40
#define _PROP_W             200
#define _PROP_H             140

#define PROP_SW_X           10
#define PROP_SW_Y           10
#define PROP_SW_W           35
#define PROP_SW_H           20

#define PROP_EW_X           50
#define PROP_EW_Y           10
#define PROP_EW_W           40
#define PROP_EW_H           20

#define PROP_SH_X           100
#define PROP_SH_Y           10
#define PROP_SH_W           35
#define PROP_SH_H           20

#define PROP_EH_X           150
#define PROP_EH_Y           10
#define PROP_EH_W           40
#define PROP_EH_H           20

#define PROP_GRAY_X         40
#define PROP_GRAY_Y         45
#define PROP_GRAY_W         50
#define PROP_GRAY_H         20

#define PROP_CL_X           100
#define PROP_CL_Y           45
#define PROP_CL_W           50
#define PROP_CL_H           20

#define PROP_OK_X           55
#define PROP_OK_Y           80
#define PROP_OK_W           40
#define PROP_OK_H           20

#define PROP_CANCEL_X       105
#define PROP_CANCEL_Y       80
#define PROP_CANCEL_W       40
#define PROP_CANCEL_H       20

#endif
#elif PDA_SIZE_240x320

#define _PROP_X             30
#define _PROP_Y             40
#define _PROP_W             200
#define _PROP_H             140

#define PROP_SW_X           10
#define PROP_SW_Y           10
#define PROP_SW_W           35
#define PROP_SW_H           20

#define PROP_EW_X           50
#define PROP_EW_Y           10
#define PROP_EW_W           40
#define PROP_EW_H           20

#define PROP_SH_X           100
#define PROP_SH_Y           10
#define PROP_SH_W           35
#define PROP_SH_H           20

#define PROP_EH_X           150
#define PROP_EH_Y           10
#define PROP_EH_W           40
#define PROP_EH_H           20

#define PROP_GRAY_X         40
#define PROP_GRAY_Y         45
#define PROP_GRAY_W         50
#define PROP_GRAY_H         20

#define PROP_CL_X           100
#define PROP_CL_Y           45
#define PROP_CL_W           50
#define PROP_CL_H           20

#define PROP_OK_X           55
#define PROP_OK_Y           80
#define PROP_OK_W           40
#define PROP_OK_H           20

#define PROP_CANCEL_X       105
#define PROP_CANCEL_Y       80
#define PROP_CANCEL_W       40
#define PROP_CANCEL_H       20

#endif

typedef struct tag_pp {
    int w;
    int h;
    int gc;   
}PICINFO, *PPICINFO;

int SetPictureProperty ( HWND hwnd, int x, int y, int w, int h, PPICINFO pp );

#endif
