/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


#ifndef _REV_DLG_H_ 
#define _REV_DLG_H_

#ifdef PDA_SIZE_320x240
#ifdef _LARGE_SCREEN

#define REV_DLG_X           100
#define REV_DLG_Y           100
#define REV_DLG_W           260
#define REV_DLG_H           200

#define REVERSE_X           30
#define REVERSE_Y           20
#define REVERSE_W           50
#define REVERSE_H           20

#define REVOLVE_X           30
#define REVOLVE_Y           75
#define REVOLVE_W           50
#define REVOLVE_H           20

#define REV_LR_X            30
#define REV_LR_Y            45
#define REV_LR_W            80
#define REV_LR_H            25

#define REV_UD_X            130
#define REV_UD_Y            45
#define REV_UD_W            80
#define REV_UD_H            25

#define REV_90_X            30
#define REV_90_Y            100
#define REV_90_W            70
#define REV_90_H            25

#define REV_180_X           110
#define REV_180_Y           100
#define REV_180_W           70
#define REV_180_H           25

#define REV_270_X           180
#define REV_270_Y           100
#define REV_270_W           70
#define REV_270_H           25

#define REV_OK_X            50
#define REV_OK_Y            140
#define REV_OK_W            40
#define REV_OK_H            20

#define REV_CANCEL_X        150
#define REV_CANCEL_Y        140
#define REV_CANCEL_W        40
#define REV_CANCEL_H        20

#else

#define REV_DLG_X           40
#define REV_DLG_Y           30
#define REV_DLG_W           260
#define REV_DLG_H           150

#define REVERSE_X           5
#define REVERSE_Y           10
#define REVERSE_W           40
#define REVERSE_H           15

#define REVOLVE_X           5
#define REVOLVE_Y           65
#define REVOLVE_W           50
#define REVOLVE_H           20

#define REV_LR_X            15
#define REV_LR_Y            35
#define REV_LR_W            50
#define REV_LR_H            25

#define REV_UD_X            75
#define REV_UD_Y            35
#define REV_UD_W            50
#define REV_UD_H            25

#define REV_90_X            15
#define REV_90_Y            90
#define REV_90_W            45
#define REV_90_H            25

#define REV_180_X           70
#define REV_180_Y           90
#define REV_180_W           45
#define REV_180_H           25

#define REV_270_X           120
#define REV_270_Y           90
#define REV_270_W           45
#define REV_270_H           25

#define REV_OK_X            200
#define REV_OK_Y            10
#define REV_OK_W            40
#define REV_OK_H            20

#define REV_CANCEL_X        200
#define REV_CANCEL_Y        50
#define REV_CANCEL_W        40
#define REV_CANCEL_H        20

#endif
#elif PDA_SIZE_240x320

#define REV_DLG_X           0
#define REV_DLG_Y           40
#define REV_DLG_W           240
#define REV_DLG_H           200

#define REVERSE_X           10
#define REVERSE_Y           20
#define REVERSE_W           50
#define REVERSE_H           20

#define REVOLVE_X           10
#define REVOLVE_Y           75
#define REVOLVE_W           50
#define REVOLVE_H           20

#define REV_LR_X            10
#define REV_LR_Y            45
#define REV_LR_W            80
#define REV_LR_H            25

#define REV_UD_X            110
#define REV_UD_Y            45
#define REV_UD_W            80
#define REV_UD_H            25

#define REV_90_X            10
#define REV_90_Y            100
#define REV_90_W            70
#define REV_90_H            25

#define REV_180_X           90
#define REV_180_Y           100
#define REV_180_W           70
#define REV_180_H           25

#define REV_270_X           160
#define REV_270_Y           100
#define REV_270_W           70
#define REV_270_H           25

#define REV_OK_X            70
#define REV_OK_Y            140
#define REV_OK_W            40
#define REV_OK_H            20

#define REV_CANCEL_X        130
#define REV_CANCEL_Y        140
#define REV_CANCEL_W        40
#define REV_CANCEL_H        20

#endif

typedef struct tag_rev {
    int op;
}REVINFO, *PREVINFO;

int RevPictureDlg ( HWND hwnd, int x, int y, int w, int h, PREVINFO rev );

#endif

