#!/bin/ash
################################################################################################
#                                        
# 3G_INTERNET_PEOPLENET.SH - Initialize 3G Connection for People.Net Provider
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_3G_INTERNET_CONNECTION_PEOPLENET = "YES" ]; then
 	echo "Start People.Net 3G Internet connection..."
	 mkdir -p  /etc/ppp/peers
	 cp -a /mnt/usb/ppp/peers/peoplenet_pppd_cmd /etc/ppp/peers/pppd_cmd
	 cp -a /mnt/usb/ppp/peers/peoplenet_chat_connect_cmd /etc/ppp/peers/chat_connect_cmd
	 cp -a /mnt/usb/ppp/peers/peoplenet_chat_disconnect_cmd /etc/ppp/peers/chat_disconnect_cmd
	 /mnt/usb/sh/3g.sh
	echo "Start DynDNS client..."
	 mkdir -p /mnt/usb/inadyn/log
	 /mnt/usb/inadyn/bin/inadyn --background -u $BIPOMVAR_DYNDNS_USERNAME -p $BIPOMVAR_DYNDNS_PASSWORD --update_period $BIPOMVAR_DYNDNS_UPDATE_PERIOD --alias $BIPOMVAR_DYNDNS_ALIAS --log_file $BIPOMVAR_DYNDNS_LOG_FILE
fi
