#!/bin/ash
################################################################################################
#                                        
# INIT_DLINK_USB_WIFI.SH - Initialize DLink USB WI-FI adapter
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_DLINK_USB_WIFI = "ON" ]; then
	echo "Install D-Link WiFi interface"
	mkdir -p /etc/Wireless/RT73STA
	mkdir -p /lib/firmware
	cp -a /mnt/usb/drivers/rt73.bin /etc/Wireless/RT73STA/rt73.bin
	cp -a /mnt/usb/drivers/rt73sta.dat /etc/Wireless/RT73STA/rt73sta.dat
	dos2unix /etc/Wireless/RT73STA/rt73sta.dat
	cp -a /mnt/usb/drivers/rt73.bin /lib/firmware/rt73.bin
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/rt73.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/rt73.ko
	depmod -r
	echo 6 6 1 7 > /proc/sys/kernel/printk
	/sbin/modprobe rt73	
	ln -s /mnt/usb/wireless/lib/libiw.so.29 /usr/lib/libiw.so.29
	ln -s /mnt/usb/wireless/lib/libiw.so.29 /usr/lib/libiw.so
	#	
	echo "HOST IP:${HOST_IP} NETMASK:${NETMASK} GATE IP:${GATE_IP}"
	ifconfig rausb0 ${BIPOMVAR_HOST_IP} netmask ${BIPOMVAR_NETMASK} up
	# Wait for link up
	sleep 3
	route add default gw ${BIPOMVAR_GATE_IP} rausb0
	ifconfig lo 127.0.0.1
	#
	/mnt/usb/wireless/sbin/iwconfig rausb0 key $BIPOMVAR_WIFI_KEY
	/mnt/usb/wireless/sbin/iwpriv rausb0 set SSID="$BIPOMVAR_WIFI_SSID"
fi