#!/bin/ash
################################################################################################
#                                        
# INIT_GSPCA_USB_WEBCAM.SH - Initialize GSPCA USB web camera
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_GSPCA_USB_WEBCAM = "ON" ]; then
	echo "Install USB WebCam interface"
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/gspca.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/gspca.ko
	depmod -r
	/sbin/modprobe gspca
	mknod /dev/video0 c 81 0
	install -c -m 755 -g root -o root /mnt/usb/spcaview/spcaview /usr/bin/spcaview
	install -c -m 755 -g root -o root /mnt/usb/spcaview/spcaserv /usr/bin/spcaserv
	install -c -m 755 -g root -o root /mnt/usb/spcaview/spcaserv /usr/bin/spcacat
fi