#!/bin/ash
################################################################################################
#                                        
# INIT_I2C_PCF8574.SH - Initialize I2C interface
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_I2C_PCF8574 = "ON" ]; then
	echo "Configure I2C interface"
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/i2c-gpio.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/i2c-gpio.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/i2c-algo-bit.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/i2c-algo-bit.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/i2c-core.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/i2c-core.ko
	install -c -m 0644 ${BIPOMVAR_DRIVER_SOURCE_PATH}/pcf8574.ko ${BIPOMVAR_DRIVER_INSTALL_PATH}/pcf8574.ko
	depmod -r
	/sbin/modprobe i2c-gpio
	/sbin/modprobe pcf8574
fi