#!/bin/ash
################################################################################################
#                                        
# INIT_PORTS.SH - Initialize I/O ports on hardware
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_CONFIGURE_UNUSED_PORT_PINS = "YES" ]; then
	for port_pin in $(seq 3 31) ; do
		/mnt/usb/bin/gpio A $port_pin 0
	done
	for port_pin in $(seq 0 3) ; do
		/mnt/usb/bin/gpio B $port_pin 0
	done
	for port_pin in $(seq 6 31) ; do
		/mnt/usb/bin/gpio B $port_pin 0
	done
	for port_pin in 0 1 2 3 6 8 9 10 ; do
		/mnt/usb/bin/gpio C $port_pin 0
	done
	for port_pin in $(seq 13 31) ; do
		/mnt/usb/bin/gpio C $port_pin 0
	done
fi