#!/bin/ash
################################################################################################
#                                        
# SSH_SERVER.SH - Initialize and run Open SSH server 
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################
if [ $BIPOMVAR_OPEN_SSH_SERVER = "YES" ]; then
	echo "Start OpenSSH server"
	adduser -D $BIPOMVAR_SSH_USER
	echo sshd:$BIPOMVAR_SSH_PWD | chpasswd
	chown root /home/$BIPOMVAR_SSH_USER
	chmod og-w /home/$BIPOMVAR_SSH_USER
	mkdir -p /var/empty
	#Protect keys
	cp -a $BIPOMVAR_SSH_HOST_KEY_PATH /home/$BIPOMVAR_SSH_USER/ssh_host_key
	cp -a $BIPOMVAR_SSH_DSA_KEY_PATH /home/$BIPOMVAR_SSH_USER/ssh_host_dsa_key
	cp -a $BIPOMVAR_SSH_RSA_KEY_PATH /home/$BIPOMVAR_SSH_USER/ssh_host_rsa_key
	
	chmod 600 /home/sshd/ssh_host_key
	chmod 600 /home/sshd/ssh_host_dsa_key
	chmod 600 /home/sshd/ssh_host_rsa_key
	/mnt/usb/openssh/sbin/sshd -p$BIPOMVAR_SSH_PORT
fi	