#!/bin/ash
################################################################################################
#                                        
# USER.SH - GADGETPC START FILE
#                                        
# GADGETPC (C) 2009 BiPOM Electronics. All Rights Reserved.
#
################################################################################################

echo ""
echo "USER.SH - GADGETPC USER COMMAND FILE"

# include variables
source /mnt/usb/sh/vars.sh

# START HARDWARE INIT FILES 
/mnt/usb/sh/system.sh
/mnt/usb/sh/ili9325.sh
/mnt/usb/sh/init_ports.sh
/mnt/usb/sh/init_i2c_pcf8574.sh
/mnt/usb/sh/init_at91sam_adc.sh
/mnt/usb/sh/init_dlink_usb_eth.sh
/mnt/usb/sh/init_dlink_usb_wifi.sh
/mnt/usb/sh/init_dm9161a.sh
/mnt/usb/sh/init_ftdi_usb_serial.sh
/mnt/usb/sh/init_usb_serial_generic.sh
/mnt/usb/sh/init_gspca_usb_webcam.sh
/mnt/usb/sh/init_microsd.sh
/mnt/usb/sh/init_sierra_compas855_aircard.sh
/mnt/usb/sh/ppp.sh
/mnt/usb/sh/mouse.sh

/mnt/usb/sh/after_drivers_installed.sh

# START GPRS & 3G INTERNET CONNECTIONS
/mnt/usb/sh/gprs_internet_life.sh
/mnt/usb/sh/3g_internet_peoplenet.sh

# START SOFTWARE INIT FILES
/mnt/usb/sh/telnet_server.sh
/mnt/usb/sh/ftp_server.sh
/mnt/usb/sh/web_server.sh
/mnt/usb/sh/mail_agent.sh
/mnt/usb/sh/motion_server.sh
/mnt/usb/sh/ntpd_server.sh
/mnt/usb/sh/ssh_server.sh
/mnt/usb/sh/spca_video_server.sh
/mnt/usb/sh/usb_utils.sh
/mnt/usb/sh/minigui.sh

# START EXTRA USER COMMANDS
/mnt/usb/sh/user_cmds.sh

echo "USER.SH"
echo ""
#
